<div class="container">
    <div id="login-row" class="row justify-content-center align-items-center">
        <div id="login-column" class="col-md-6">
            <div id="login-box" class="col-md-12">
                <form class="form" #submitLogin="ngForm" (ngSubmit)="onSubmit(submitLogin)">
                    <h3>Login / Register</h3>
                    <div class="form-group">
                        <label for="username">Your trainer name:</label><br>
                        <input class="form-control" type="text" placeholder="Trainer name" ngModel name="username" required pattern="[a-zA-Z ]*">
                        <button class="btn btn-danger form-control" [disabled]="submitLogin.form.invalid" type="submit">Login</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>